version: 1.7.0-beta.4
files:
  - url: Cherry-Studio-1.7.0-beta.4-x64.zip
    sha512: uAaWm0t5UYTbwzyfX5sh/Y6YUzl8yjaa1awhTM9TKfhWXhSuEjDBqIhjQOZvFWaAyjp4FkNhnTLfsmuNrY7aUw==
    size: 161599856
  - url: Cherry-Studio-1.7.0-beta.4-arm64.zip
    sha512: 56HErF9SUnyWFxBpU+NXZcRrF+PR46aQt/XWDDFEB9RMLY6W+oD/SYgoaYW/a3A/6v1Epures4XixkNB25071A==
    size: 153135784
  - url: Cherry-Studio-1.7.0-beta.4-x64.dmg
    sha512: snczkKVJKnaewRb5TnrTEgrgHerJZzL+pmV9+M74E+DtCauDfWq0RRSrIJ2mi33kRmfbmx0DzNl+2zHOEIng2A==
    size: 167719509
  - url: Cherry-Studio-1.7.0-beta.4-arm64.dmg
    sha512: 3BUyTw8Qdkgd+bkun8DtbZ5yurGTVltsD1PMf1Hrmkm/aKgpXHftUQfRFAmzHOG2spJmfFM06llKk+jRPCY2+g==
    size: 159171267
path: Cherry-Studio-1.7.0-beta.4-x64.zip
sha512: uAaWm0t5UYTbwzyfX5sh/Y6YUzl8yjaa1awhTM9TKfhWXhSuEjDBqIhjQOZvFWaAyjp4FkNhnTLfsmuNrY7aUw==
minimumSystemVersion: 20.1.0
releaseNotes: |
  <!--LANG:en-->
  What's New in v1.7.0-beta.4

  Major Changes:
  - UI Framework Upgrade: Improved performance and user experience with new design system
  - App Menu i18n: Menu now supports multiple languages and syncs with app language settings

  New Features:
  - AWS Bedrock API Key: Support Bedrock API key authentication with Extended Thinking (reasoning) capability
  - SophNet Provider: Added support for SophNet LLM provider
  - Auto Session Rename: Agent sessions automatically rename based on conversation topics
  - TopP Parameter: Added TopP parameter support for more precise model control
  - Reasoning Effort Control: Quick access to reasoning effort settings in input bar

  Improvements:
  - Topics & Sessions: Enhanced UI with better styling and smoother interactions
  - Quick Panel: Improved option visibility and control
  - Painting Models: Smarter model initialization with better defaults
  - System Shutdown: Better handling of shutdown events to prevent data loss
  - Smaller Package Size: Optimized build configuration for faster downloads

  Bug Fixes:
  - Fixed Perplexity provider support and API host formatting
  - Fixed CherryAI provider support and API host formatting
  - Fixed i18n translations for painting image size options
  - Fixed agent session message token usage tracking
  - Fixed prompt stream handling on completion or error
  - Fixed message API initialization issues

  <!--LANG:zh-CN-->
  v1.7.0-beta.4 新特性

  重大变更:
  - UI 框架升级：采用新设计系统，提升性能和用户体验
  - 应用菜单国际化：菜单支持多语言，并自动同步应用语言设置

  新功能:
  - AWS Bedrock API 密钥：支持 Bedrock API 密钥身份验证，并支持扩展思考（推理）能力
  - SophNet 提供商：添加 SophNet LLM 提供商支持
  - 自动会话重命名：Agent 会话根据对话主题自动重命名
  - TopP 参数：添加 TopP 参数支持，更精确控制模型输出

  改进:
  - 主题和会话：增强 UI，改进样式和交互体验
  - 快速面板：改进选项可见性和控制
  - 绘图模型：更智能的模型初始化和更好的默认值
  - 系统关机：更好地处理关机事件，防止数据丢失
  - 更小的安装包：优化构建配置，下载更快

  问题修复:
  - 修复 Perplexity 提供商支持和 API 主机格式化
  - 修复 CherryAI 提供商支持和 API 主机格式化
  - 修复绘图图像大小选项的 i18n 翻译
  - 修复 Agent 会话消息的 token 使用量跟踪
  - 修复完成或错误时的提示流处理
  - 修复消息 API 初始化问题
  <!--LANG:END-->
releaseDate: '2025-11-06T13:03:37.779Z'
